﻿#language: ru

@cost_price

Функционал: 09_cost_price.01.010 Заполнение справочников Ресурсные спецификации + Шаблоны этапов + Шаблоны РС

Сценарий: 09_cost_price.01.010 Создание шаблонов этапов и шаблонов спецификаций
	Дано Я подключаюсь под "Администратор"
	И Я начинаю создавать Шаблон ресурсной спецификации "Сыр" для "Сыр"
	И в поле 'Наименование' я ввожу текст 'Варка'
	И я нажимаю кнопку выбора у поля "Характеристика"
	Тогда открылось окно 'Характеристики номенклатуры'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'  |
		| 'Варка' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Шаблоны этапов производства (создание) *'
	И я нажимаю кнопку выбора у поля "Вид рабочего центра"
	Тогда открылось окно 'Виды рабочих центров'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Сырцех'       |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Шаблоны этапов производства (создание) *'
	И в таблице "РабочиеЦентры" я нажимаю на кнопку с именем 'РабочиеЦентрыДобавить'
	И в таблице "РабочиеЦентры" я нажимаю кнопку выбора у реквизита "Рабочий центр"
	Тогда открылось окно 'Рабочие центры'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Сырцех'       |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Шаблоны этапов производства (создание) *'
	И в таблице "РабочиеЦентры" я активизирую поле "Приоритет"
	И в таблице "РабочиеЦентры" в поле 'Приоритет' я ввожу текст '1'
	И в таблице "РабочиеЦентры" я выбираю текущую строку
	И в таблице "РабочиеЦентры" в поле 'Производительность, кг/ч' я ввожу текст '50,00'
	И в таблице "РабочиеЦентры" я завершаю редактирование строки
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Шаблоны этапов производства (создание) *' в течение 20 секунд
	Тогда открылось окно 'Шаблоны этапов производства'
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Шаблоны ресурсных спецификаций (создание) *'
	И в таблице "Этапы" я завершаю редактирование строки
	И в таблице "Этапы" я нажимаю на кнопку с именем 'ЭтапыДобавить'
	И в таблице "Этапы" я нажимаю кнопку выбора у реквизита "Шаблон этапа"
	Тогда открылось окно 'Шаблоны этапов производства'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Шаблоны этапов производства (создание)'
	И в поле 'Наименование' я ввожу текст 'Упаковка'
	И я нажимаю кнопку выбора у поля "Характеристика"
	Тогда открылось окно 'Характеристики номенклатуры'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'  |
		| 'На созревании' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Шаблоны этапов производства (создание) *'
	И я нажимаю кнопку выбора у поля "Вид рабочего центра"
	Тогда открылось окно 'Виды рабочих центров'
	И в таблице "Список" я перехожу к строке:
		|'Наименование'|
		|'Упаковка'|
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Шаблоны этапов производства (создание) *'
	И в таблице "РабочиеЦентры" я нажимаю на кнопку с именем 'РабочиеЦентрыДобавить'
	И в таблице "РабочиеЦентры" я нажимаю кнопку выбора у реквизита "Рабочий центр"
	Тогда открылось окно 'Рабочие центры'
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Шаблоны этапов производства (создание) *'
	И в таблице "РабочиеЦентры" я активизирую поле "Производительность, кг/ч"
	И в таблице "РабочиеЦентры" в поле 'Производительность, кг/ч' я ввожу текст '24,00'
	И в таблице "РабочиеЦентры" я завершаю редактирование строки
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Шаблоны этапов производства (создание) *' в течение 20 секунд
	Тогда открылось окно 'Шаблоны этапов производства'
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Шаблоны ресурсных спецификаций (создание) *'
	И Я заканчиваю создавать Шаблон ресурсной спецификации

Сценарий: 09_cost_price.01.010 Создание ресурсной спецификации на смесь 50% через стандартную форму
	И Я начинаю создавать Ресурсную спецификацию "Смесь 50%"
	И я перехожу к закладке "Производственный процесс"
	И в таблице "ЭтапыСписок" я нажимаю на кнопку 'Создать'
	Тогда открылось окно 'Этапы производства (создание)'
	И в поле 'Наименование' я ввожу текст 'Нормализация'
	И я нажимаю на кнопку открытия поля "Вид РЦ"
	И я нажимаю кнопку выбора у поля "Вид РЦ"
	Тогда открылось окно 'Виды рабочих центров'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'ПАЦ' 	 |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Этапы производства (создание) *'
	И в поле 'N след. этапа' я ввожу текст '0'
	И я перехожу к закладке 'Рабочие центры'
	И в таблице "РабочиеЦентры" я нажимаю на кнопку с именем 'РабочиеЦентрыДобавить'
	И в таблице "РабочиеЦентры" я нажимаю кнопку выбора у реквизита "Рабочий центр"
	Тогда открылось окно 'Рабочие центры'
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Этапы производства (создание) *'
	И в таблице "РабочиеЦентры" я активизирую поле "Приоритет"
	И в таблице "РабочиеЦентры" в поле 'Приоритет' я ввожу текст '1'
	И в таблице "РабочиеЦентры" я выбираю текущую строку
	И в таблице "РабочиеЦентры" я активизирую поле "Производительность, кг/ч"
	И в таблице "РабочиеЦентры" в поле 'Производительность, кг/ч' я ввожу текст '25,00'
	И в таблице "РабочиеЦентры" я завершаю редактирование строки
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Этапы производства (создание) *' в течение 20 секунд
	Тогда открылось окно 'Смесь 50% (Ресурсные спецификации)'
	И я перехожу к закладке "Выходные изделия"
	И в таблице "ВыходныеИзделия" я добавляю новую строку
	И в таблице "ВыходныеИзделия" я активизирую поле с именем "ВыходныеИзделияНоменклатура"
	И в таблице "ВыходныеИзделия" я нажимаю кнопку выбора у реквизита "Номенклатура"
	Тогда открылось окно 'Номенклатура'
	И в таблице "Список" я перехожу к строке:
		|'Наименование'|
		|'Смесь 50%'|
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Смесь 50% (Ресурсные спецификации) *'
	И в таблице "ВыходныеИзделия" я активизирую поле с именем "ВыходныеИзделияОсновное"
	И в таблице "ВыходныеИзделия" я завершаю редактирование строки
	И в таблице "ВыходныеИзделия" я устанавливаю флаг 'Основное'
	И в таблице "ВыходныеИзделия" я завершаю редактирование строки
	И в таблице "ВыходныеИзделия" я активизирую поле с именем "ВыходныеИзделияКоличество"
	И в таблице "ВыходныеИзделия" в поле 'Количество' я ввожу текст '950,000'
	И в таблице "ВыходныеИзделия" я активизирую поле с именем "ВыходныеИзделияЭтап"
	И в таблице "ВыходныеИзделия" я нажимаю кнопку выбора у реквизита "Этап"
	Тогда открылось окно 'Этапы производства'
	И в таблице "Список" я нажимаю на кнопку с именем 'СписокВыбрать'
	Тогда открылось окно 'Смесь 50% (Ресурсные спецификации) *'
	И в таблице "ВыходныеИзделия" я завершаю редактирование строки
	И в таблице "ВыходныеИзделия" я нажимаю на кнопку с именем 'ВыходныеИзделияДобавить'
	И в таблице "ВыходныеИзделия" я нажимаю кнопку выбора у реквизита "Номенклатура"
	Тогда открылось окно 'Номенклатура'
	И в таблице "Список" я перехожу к строке:
		|'Наименование'|
		|'Сливки'|
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Смесь 50% (Ресурсные спецификации) *'
	И в таблице "ВыходныеИзделия" я активизирую поле с именем "ВыходныеИзделияКоличество"
	И в таблице "ВыходныеИзделия" в поле 'Количество' я ввожу текст '40,000'
	И в таблице "ВыходныеИзделия" я активизирую поле с именем "ВыходныеИзделияЭтап"
	И в таблице "ВыходныеИзделия" я нажимаю кнопку выбора у реквизита "Этап"
	Тогда открылось окно 'Этапы производства'
	И в таблице "Список" я нажимаю на кнопку с именем 'СписокВыбрать'
	Тогда открылось окно 'Смесь 50% (Ресурсные спецификации) *'
	И я перехожу к закладке "Материалы и работы"
	И в таблице "МатериалыИУслуги" я нажимаю на кнопку с именем 'МатериалыИУслугиДобавить'
	И в таблице "МатериалыИУслуги" я нажимаю кнопку выбора у реквизита "Номенклатура"
	Тогда открылось окно 'Номенклатура'
	И в таблице "Список" я перехожу к строке:
		|'Наименование'|
		|'Молоко'|
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Смесь 50% (Ресурсные спецификации) *'
	И в таблице "МатериалыИУслуги" я активизирую поле с именем "МатериалыИУслугиКоличество"
	И в таблице "МатериалыИУслуги" в поле 'Количество' я ввожу текст '1 000,000'
	И в таблице "МатериалыИУслуги" я активизирую поле с именем "МатериалыИУслугиОсновное"
	И в таблице "МатериалыИУслуги" я завершаю редактирование строки
	И в таблице "МатериалыИУслуги" я устанавливаю флаг 'Основное'
	И в таблице "МатериалыИУслуги" я завершаю редактирование строки
	И в таблице "МатериалыИУслуги" я активизирую поле "% отклонения"
	И в таблице "МатериалыИУслуги" я активизирую поле с именем "МатериалыИУслугиЭтап"
	И в таблице "МатериалыИУслуги" я нажимаю кнопку выбора у реквизита "Этап"
	Тогда открылось окно 'Этапы производства'
	И в таблице "Список" я нажимаю на кнопку с именем 'СписокВыбрать'
	Тогда открылось окно 'Смесь 50% (Ресурсные спецификации) *'
	И в таблице "МатериалыИУслуги" я завершаю редактирование строки
	И таблица "ВыходныеИзделия" стала равной по шаблону:
		| 'Количество' | 'Доля стоимости' | 'Номенклатура' |
		| '950,000'    | '894'            | 'Смесь 50%'    |
		| '40,000'     | '110'            | 'Сливки'       |
	И я жду доступности элемента "Действует с" в течение 10 секунд
	И в поле "Действует с" я ввожу текст '12.01.2018'
	Тогда элемент формы "Действует с" стал равен '12.01.2018'
	И я нажимаю на кнопку 'Действует'
	И я нажимаю на кнопку 'Назначить основной'
	Тогда открылось окно 'Назначить основной спецификацией'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Назначить основной спецификацией' в течение 20 секунд
	Тогда открылось окно 'Смесь 50% (Ресурсные спецификации)'
	И Я закрываю окно 'Смесь 50% (Ресурсные спецификации)'
	Тогда открылось окно 'Ресурсные спецификации'
	И я закрываю окно 'Ресурсные спецификации'

Сценарий: 09_cost_price.01.010 Создание рецептуры на сыр Российский 50% по шаблону
	И Я начинаю создавать Ресурсную спецификацию по шаблону "Сыр" для "Российский 50%"
	И в таблице "Этапы" я перехожу к строке:
		| 'Этап'  |
		| 'Варка' |
	И в таблице "ВыходныеИзделия" я активизирую поле с именем "ВыходныеИзделияКоличество"
	И в таблице "ВыходныеИзделия" в поле 'Количество' я ввожу текст '980,000'
	И в таблице "ВыходныеИзделия" я завершаю редактирование строки
	И я нажимаю на кнопку с именем 'ВыходныеИзделияДобавить'
	И в таблице "ВыходныеИзделия" я нажимаю кнопку выбора у реквизита "Номенклатура"
	Тогда открылось окно 'Номенклатура'
	И в таблице "Список" я перехожу к строке:
		|'Наименование'|
		|'Сырная крошка'|
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Ресурсные спецификации (создание) *'
	И в таблице "ВыходныеИзделия" я активизирую поле с именем "ВыходныеИзделияКоличество"
	И в таблице "ВыходныеИзделия" в поле 'Количество' я ввожу текст '4,000'
	И в таблице "ВыходныеИзделия" я завершаю редактирование строки
	И я нажимаю на кнопку с именем "ВыходныеИзделияДобавить"
	И в таблице "ВыходныеИзделия" из выпадающего списка "Номенклатура" я выбираю по строке 'сыво'
	И в таблице "ВыходныеИзделия" я активизирую поле "Количество"
	И в таблице "ВыходныеИзделия" в поле 'Количество' я ввожу текст '7 800,000'
	И я нажимаю на кнопку с именем 'МатериалыДобавить'
	И в таблице "Материалы" я активизирую поле с именем "МатериалыНоменклатура"
	И в таблице "Материалы" я нажимаю кнопку выбора у реквизита "Номенклатура"
	Тогда открылось окно 'Номенклатура'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Смесь 50%'    |
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'Ресурсные спецификации (создание) *'
	И в таблице "Материалы" я завершаю редактирование строки
	И в таблице "Материалы" я активизирую поле с именем "МатериалыКоличество"
	И в таблице "Материалы" в поле 'Количество' я ввожу текст '9 800,000'
	И в таблице "Материалы" я активизирую поле с именем "МатериалыОсновное"
	И в таблице "Материалы" я завершаю редактирование строки
	И в таблице "Материалы" я устанавливаю флаг 'Основное'
	И в таблице "Материалы" я завершаю редактирование строки
	И я нажимаю на кнопку с именем 'МатериалыДобавить'
	И в таблице "Материалы" из выпадающего списка с именем "МатериалыНоменклатура" я выбираю по строке 'закваска '
	И в таблице "Материалы" в поле 'Количество' я ввожу текст '0,500'
	И я нажимаю на кнопку с именем "МатериалыКонтекстноеМенюДобавить"
	И в таблице "Материалы" из выпадающего списка "Номенклатура" я выбираю по строке 'ароматизатор 1'
	И в таблице "Материалы" в поле 'Количество' я ввожу текст '0,500'
	И таблица "ВыходныеИзделия" стала равной по шаблону:
		| 'Номенклатура'   | 'Доля стоимости' |
		| 'Российский 50%' | '7 916'          |
		| 'Сырная крошка'  | '29'             |
		| 'Сыворотка'      | '1 652'          |
	И в таблице "Этапы" я перехожу к строке:
		| 'Этап'     |
		| 'Упаковка' |
	И Пауза 1
	И в таблице "ВыходныеИзделия" я активизирую поле с именем "ВыходныеИзделияКоличество"
	И в таблице "ВыходныеИзделия" я выбираю текущую строку
	И в таблице "ВыходныеИзделия" в поле 'Количество' я ввожу текст '948,000'
	И в таблице "ВыходныеИзделия" я завершаю редактирование строки	
	И я нажимаю на кнопку с именем 'МатериалыДобавить'
	И в таблице "Материалы" я активизирую поле с именем "МатериалыНоменклатура"
	И в таблице "Материалы" я нажимаю кнопку выбора у реквизита "Номенклатура"
	Тогда открылось окно 'Номенклатура'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Пакет '       |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Ресурсные спецификации (создание) *'
	И в таблице "Материалы" я активизирую поле с именем "МатериалыКоличество"
	И в таблице "Материалы" в поле 'Количество' я ввожу текст '121,000'
	И в таблице "Материалы" я завершаю редактирование строки
	И в таблице "Материалы" я активизирую поле "Статья калькуляции"
	И в таблице "Материалы" я выбираю текущую строку
	И в таблице "Материалы" я нажимаю кнопку выбора у реквизита "Статья калькуляции"
	Тогда открылось окно 'Сырьевые статьи затрат'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Упаковка'     |
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'Ресурсные спецификации (создание) *'
	И в таблице "Материалы" я завершаю редактирование строки
	И я жду доступности элемента "Действует с" в течение 10 секунд
	И в поле "Действует с" я ввожу текст '12.01.2018'
	Тогда элемент формы "Действует с" стал равен '12.01.2018'
	И Я заканчиваю создавать Ресурсную спецификацию в новой форме

Сценарий: 09_cost_price.01.010 Отключение работы со спецификациями через обычную форму
	И В командном интерфейсе я выбираю 'Производство' 'Настройки параметров учета'
	Тогда открылось окно 'Параметры производства'
	И я изменяю флаг 'Отключить использование стандартной формы ресурсных спецификаций'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Параметры производства *' в течение 20 секунд

Сценарий: 09_cost_price.01.010 Создание спецификаций на Смесь 45%
	И Я начинаю создавать Ресурсную спецификацию для "Смесь 45% без обрата" с отключенной обычной формой
	И в таблице "Этапы" я нажимаю на кнопку с именем 'ЭтапыДобавить'
	И я жду доступности элемента с именем "ЭтапыНаименование" в течение 10 секунд
	И в таблице "Этапы" в поле с именем 'ЭтапыНаименование' я ввожу текст 'Нормализация'
	И я перехожу к следующему реквизиту
	И в таблице "Этапы" поле с именем "ЭтапыНаименование" имеет значение "Нормализация"
	И я перехожу к закладке "Рабочие центры"
	И я нажимаю кнопку выбора у поля "Вид рабочего центра"
	Тогда открылось окно 'Виды рабочих центров'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'ПАЦ'          |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Ресурсные спецификации (создание) *'
	И в таблице "РабочиеЦентры" я нажимаю на кнопку с именем 'РабочиеЦентрыДобавить'
	И в таблице "РабочиеЦентры" я нажимаю кнопку выбора у реквизита "Рабочий центр"
	Тогда открылось окно 'Рабочие центры'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'ПАЦ'		 |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Ресурсные спецификации (создание) *'
	И я перехожу к закладке "Рецептура"
	И я нажимаю на кнопку с именем 'ВыходныеИзделияДобавить'
	И в таблице "ВыходныеИзделия" я нажимаю кнопку выбора у реквизита "Номенклатура"
	Тогда открылось окно 'Номенклатура'
	И в таблице "Список" я перехожу к строке:
		|'Наименование'|
		|'Смесь 45%'|
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Ресурсные спецификации (создание) *'
	И в таблице "ВыходныеИзделия" я устанавливаю флаг 'Основное'
	И в таблице "ВыходныеИзделия" в поле 'Количество' я ввожу текст '945,000'
	И я нажимаю на кнопку с именем 'ВыходныеИзделияДобавить'
	И в таблице "ВыходныеИзделия" я нажимаю кнопку выбора у реквизита "Номенклатура"
	Тогда открылось окно 'Номенклатура'
	И в таблице "Список" я перехожу к строке:
		|'Наименование'|
		|'Сливки'|
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Ресурсные спецификации (создание) *'
	И в таблице "ВыходныеИзделия" я перехожу к строке:
		|'Номенклатура'|
		|'Сливки'|	
	И в таблице "ВыходныеИзделия" я активизирую поле с именем "ВыходныеИзделияКоличество"
	И в таблице "ВыходныеИзделия" я выбираю текущую строку
	И в таблице "ВыходныеИзделия" в поле с именем "ВыходныеИзделияКоличество" я ввожу текст "45,000"
	И я нажимаю на кнопку с именем 'МатериалыДобавить'
	И в таблице "Материалы" я нажимаю кнопку выбора у реквизита "Номенклатура"
	Тогда открылось окно 'Номенклатура'
	И в таблице "Список" я перехожу к строке:
		|'Наименование'|
		|'Молоко'|
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Ресурсные спецификации (создание) *'
	И в таблице "Материалы" в поле 'Количество' я ввожу текст '1 000,000'
	И в таблице "Материалы" я активизирую поле с именем "МатериалыОсновное"
	И в таблице "Материалы" я устанавливаю флаг с именем 'МатериалыОсновное'
	И таблица "ВыходныеИзделия" стала равной по шаблону:
		| 'Номенклатура' | 'Доля стоимости' |
		| 'Смесь 45%'    | '875'            |
		| 'Сливки'       | '124'            |
	И я жду доступности элемента "Действует с" в течение 40 секунд
	И в поле "Действует с" я ввожу текст '12.02.2018'
	Тогда элемент формы "Действует с" стал равен '12.02.2018'
	И Я заканчиваю создавать Ресурсную спецификацию в новой форме

Сценарий: 09_cost_price.01.010 Создание спецификаций на Сливочный 45%
	И Я начинаю создавать Ресурсную спецификацию по шаблону "Сыр" для "Сливочный 45%" с отключенной обычной формой
	И я жду доступности элемента "Наименование" в течение 10 секунд
	И в поле 'Наименование' я ввожу текст 'Сливочный 45% Сыр основная'
	И в таблице "Этапы" я перехожу к строке:
		| 'Этап'  |
		| 'Варка' |
	И в таблице "ВыходныеИзделия" в поле 'Количество' я ввожу текст '950,000'
	И я нажимаю на кнопку с именем 'ВыходныеИзделияДобавить'
	И в таблице "ВыходныеИзделия" я нажимаю кнопку выбора у реквизита "Номенклатура"
	Тогда открылось окно 'Номенклатура'
	И в таблице "Список" я перехожу к строке:
		|'Наименование'|
		|'Сырная крошка'|
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Ресурсные спецификации (создание) *'
	И в таблице "ВыходныеИзделия" я активизирую поле с именем "ВыходныеИзделияКоличество"
	И в таблице "ВыходныеИзделия" в поле 'Количество' я ввожу текст '4,750'
	И в таблице "ВыходныеИзделия" я завершаю редактирование строки
	И я нажимаю на кнопку с именем 'ВыходныеИзделияДобавить'
	И в таблице "ВыходныеИзделия" я нажимаю кнопку выбора у реквизита "Номенклатура"
	Тогда открылось окно 'Номенклатура'
	И в таблице "Список" я перехожу к строке:
		|'Наименование'|
		|'Сыворотка'|
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Ресурсные спецификации (создание) *'
	И в таблице "ВыходныеИзделия" я активизирую поле с именем "ВыходныеИзделияКоличество"
	И в таблице "ВыходныеИзделия" в поле 'Количество' я ввожу текст '8 000,000'
	И в таблице "ВыходныеИзделия" я завершаю редактирование строки
	И я нажимаю на кнопку с именем 'МатериалыДобавить'
	И в таблице "Материалы" я активизирую поле с именем "МатериалыНоменклатура"
	И в таблице "Материалы" я нажимаю кнопку выбора у реквизита "Номенклатура"
	Тогда открылось окно 'Номенклатура'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Смесь 45%'    |
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'Ресурсные спецификации (создание) *'
	И в таблице "Материалы" в поле 'Количество' я ввожу текст '10 000,000'
	И в таблице "Материалы" я активизирую поле с именем "МатериалыОсновное"
	И в таблице "Материалы" я устанавливаю флаг с именем 'МатериалыОсновное'
	И я нажимаю на кнопку с именем 'МатериалыДобавить'
	И в таблице "Материалы" я нажимаю кнопку выбора у реквизита с именем "МатериалыНоменклатура"
	Тогда открылось окно 'Номенклатура'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'         |
		| 'Закваска Ceska L 100' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Ресурсные спецификации (создание) *'
	И в таблице "Материалы" в поле с именем 'МатериалыКоличество' я ввожу текст '1,000'
	И в таблице "Материалы" в поле '% отклонения' я ввожу текст '15,0'
	И я нажимаю на кнопку с именем 'МатериалыДобавить'
	И в таблице "Материалы" я нажимаю кнопку выбора у реквизита с именем "МатериалыНоменклатура"
	Тогда открылось окно 'Номенклатура'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'                  |
		| 'Краситель Бета-каротин FS 30%' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Ресурсные спецификации (создание) *'
	И в таблице "Материалы" в поле с именем 'МатериалыКоличество' я ввожу текст '0,500'
	И таблица "ВыходныеИзделия" стала равной по шаблону:
		| 'Номенклатура'  | 'Доля стоимости' |
		| 'Сливочный 45%' | '7 298'          |
		| 'Сырная крошка' | '34'             |
		| 'Сыворотка'     | '1 694'          |
	И в таблице "Этапы" я перехожу к строке:
		| 'Этап'  |
		| 'Упаковка' |
	И Пауза 1
	И в таблице "ВыходныеИзделия" я активизирую поле с именем "ВыходныеИзделияКоличество"
	И в таблице "ВыходныеИзделия" я выбираю текущую строку
	И в таблице "ВыходныеИзделия" в поле 'Количество' я ввожу текст '948,000'
	И в таблице "ВыходныеИзделия" я завершаю редактирование строки
	И я нажимаю на кнопку с именем 'МатериалыДобавить'
	И в таблице "Материалы" я активизирую поле с именем "МатериалыНоменклатура"
	И в таблице "Материалы" я нажимаю кнопку выбора у реквизита "Номенклатура"
	Тогда открылось окно 'Номенклатура'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Пакет 2'      |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Ресурсные спецификации (создание) *'
	И в таблице "Материалы" я активизирую поле с именем "МатериалыКоличество"
	И в таблице "Материалы" в поле 'Количество' я ввожу текст '111,000'
	И в таблице "Материалы" я завершаю редактирование строки
	И в таблице "Материалы" я активизирую поле "Статья калькуляции"
	И в таблице "Материалы" я выбираю текущую строку
	И в таблице "Материалы" я нажимаю кнопку выбора у реквизита "Статья калькуляции"
	Тогда открылось окно 'Сырьевые статьи затрат'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Упаковка'     |
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'Ресурсные спецификации (создание) *'
	И в таблице "Материалы" я завершаю редактирование строки
	И я жду доступности элемента "Действует с" в течение 10 секунд
	И в поле "Действует с" я ввожу текст '12.09.2018'
	Тогда элемент формы "Действует с" стал равен '12.09.2018'
	И Я заканчиваю создавать Ресурсную спецификацию в новой форме

Сценарий: 09_cost_price.01.010 Создание спецификации на Пошехонский 45%
	И Я начинаю создавать Ресурсную спецификацию по шаблону "Сыр" для "Пошехонский 45%" с отключенной обычной формой
	И в таблице "Этапы" я перехожу к строке:
		| 'Этап'  |
		| 'Варка' |
	И в таблице "ВыходныеИзделия" в поле 'Количество' я ввожу текст '950,000'
	И я нажимаю на кнопку с именем 'ВыходныеИзделияДобавить'
	И в таблице "ВыходныеИзделия" я нажимаю кнопку выбора у реквизита "Номенклатура"
	Тогда открылось окно 'Номенклатура'
	И в таблице "Список" я перехожу к строке:
		|'Наименование'|
		|'Сырная крошка'|
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Ресурсные спецификации (создание) *'
	И в таблице "ВыходныеИзделия" в поле 'Количество' я ввожу текст '4,750'
	И я нажимаю на кнопку с именем 'ВыходныеИзделияДобавить'
	И в таблице "ВыходныеИзделия" я нажимаю кнопку выбора у реквизита "Номенклатура"
	Тогда открылось окно 'Номенклатура'
	И в таблице "Список" я перехожу к строке:
		|'Наименование'|
		|'Сыворотка'|
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Ресурсные спецификации (создание) *'
	И в таблице "ВыходныеИзделия" в поле 'Количество' я ввожу текст '8 000,000'
	И я нажимаю на кнопку с именем 'МатериалыДобавить'
	И в таблице "Материалы" я нажимаю кнопку выбора у реквизита "Номенклатура"
	Тогда открылось окно 'Номенклатура'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Смесь 45%'    |
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'Ресурсные спецификации (создание) *'
	И в таблице "Материалы" в поле 'Количество' я ввожу текст '10 000,000'
	И в таблице "Материалы" я активизирую поле с именем "МатериалыОсновное"
	И в таблице "Материалы" я устанавливаю флаг с именем 'МатериалыОсновное'
	И я нажимаю на кнопку с именем 'МатериалыДобавить'
	И в таблице "Материалы" я нажимаю кнопку выбора у реквизита с именем "МатериалыНоменклатура"
	Тогда открылось окно 'Номенклатура'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'                            |
		| 'Ароматизатор Топленое молоко 675995 сыр' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Ресурсные спецификации (создание) *'
	И в таблице "Материалы" в поле с именем 'МатериалыКоличество' я ввожу текст '1,000'
	И в таблице "Материалы" в поле '№ пакета' я ввожу текст '1'
	И я нажимаю на кнопку с именем 'МатериалыДобавить'
	И в таблице "Материалы" я нажимаю кнопку выбора у реквизита с именем "МатериалыНоменклатура"
	Тогда открылось окно 'Номенклатура'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'         |
		| 'Закваска Ceska L 100' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Ресурсные спецификации (создание) *'
	И в таблице "Материалы" в поле с именем 'МатериалыКоличество' я ввожу текст '0,300'
	И в таблице "Материалы" в поле '№ пакета' я ввожу текст '2'
	И таблица "ВыходныеИзделия" стала равной по шаблону:
		| 'Номенклатура'    | 'Доля стоимости' |
		| 'Пошехонский 45%' | '7 108'          |
		| 'Сырная крошка'   | '34'             |
		| 'Сыворотка'       | '1 694'          |
	И в таблице "Этапы" я перехожу к строке:
		| 'Этап'  |
		| 'Упаковка' |
	И Пауза 1
	И в таблице "ВыходныеИзделия" в поле 'Количество' я ввожу текст '948,000'
	И я нажимаю на кнопку с именем 'МатериалыДобавить'
	И в таблице "Материалы" я нажимаю кнопку выбора у реквизита "Номенклатура"
	Тогда открылось окно 'Номенклатура'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Пакет '       |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Ресурсные спецификации (создание) *'
	И в таблице "Материалы" в поле 'Количество' я ввожу текст '121,000'
	И в таблице "Материалы" я активизирую поле "Статья калькуляции"
	И в таблице "Материалы" я нажимаю кнопку выбора у реквизита "Статья калькуляции"
	Тогда открылось окно 'Сырьевые статьи затрат'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Упаковка'     |
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'Ресурсные спецификации (создание) *'
	И я жду доступности элемента "Действует с" в течение 10 секунд
	И в поле "Действует с" я ввожу текст '12.09.2018'
	Тогда элемент формы "Действует с" стал равен '12.09.2018'
	И Я заканчиваю создавать Ресурсную спецификацию в новой форме

Сценарий: 09_cost_price.01.010 Создание дополнительной рецептуры для смеси 45%
	И Я начинаю создавать Ресурсную спецификацию для "Смесь 45% с обратом" с отключенной обычной формой
	И в таблице "Этапы" я нажимаю на кнопку с именем 'ЭтапыДобавить'
	И я жду доступности элемента с именем "ЭтапыНаименование" в течение 10 секунд
	И в таблице "Этапы" в поле с именем 'ЭтапыНаименование' я ввожу текст 'Нормализация'
	И я перехожу к следующему реквизиту
	И в таблице "Этапы" поле с именем "ЭтапыНаименование" имеет значение "Нормализация"
	И я перехожу к закладке "Рабочие центры"
	И я нажимаю кнопку выбора у поля "Вид рабочего центра"
	Тогда открылось окно 'Виды рабочих центров'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'ПАЦ'          |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Ресурсные спецификации (создание) *'
	И в таблице "РабочиеЦентры" я нажимаю на кнопку с именем 'РабочиеЦентрыДобавить'
	И в таблице "РабочиеЦентры" я нажимаю кнопку выбора у реквизита "Рабочий центр"
	Тогда открылось окно 'Рабочие центры'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'ПАЦ'		 |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Ресурсные спецификации (создание) *'
	И я перехожу к закладке "Рецептура"
	И я нажимаю на кнопку с именем 'ВыходныеИзделияДобавить'
	И в таблице "ВыходныеИзделия" я устанавливаю флаг 'Основное'
	И в таблице "ВыходныеИзделия" из выпадающего списка "Номенклатура" я выбираю по строке 'смесь 4'
	И в таблице "ВыходныеИзделия" в поле 'Количество' я ввожу текст '950,000'
	И я нажимаю на кнопку с именем 'ВыходныеИзделияДобавить'
	И в таблице "ВыходныеИзделия" из выпадающего списка "Номенклатура" я выбираю по строке 'сливки'
	И в таблице "ВыходныеИзделия" в поле 'Количество' я ввожу текст '35,000'
	И я нажимаю на кнопку с именем 'МатериалыДобавить'
	И в таблице "Материалы" я активизирую поле с именем "МатериалыОсновное"
	И в таблице "Материалы" я устанавливаю флаг с именем 'МатериалыОсновное'
	И в таблице "Материалы" из выпадающего списка "Номенклатура" я выбираю по строке 'молоко'
	И в таблице "Материалы" в поле 'Количество' я ввожу текст '900,000'
	И я нажимаю на кнопку с именем 'МатериалыДобавить'
	И в таблице "Материалы" из выпадающего списка "Номенклатура" я выбираю по строке 'Обрат '
	И в таблице "Материалы" в поле 'Количество' я ввожу текст '100,000'
	И таблица "ВыходныеИзделия" стала равной по шаблону:
		| 'Номенклатура' | 'Доля стоимости' |
		| 'Смесь 45%'    | '880'            |
		| 'Сливки'       | '96'             |
	И в поле 'Действует с' я ввожу текст '12.02.2018'
	И Я заканчиваю создавать Ресурсную спецификацию в новой форме без назначения её основной

Сценарий: 09_cost_price.01.010 Создание дополнительной рецептуры для сыра Сливочного 45%
	И В командном интерфейсе я выбираю 'Нормативно-справочная информация' 'Ресурсные спецификации'
	Тогда открылось окно 'Ресурсные спецификации'
	И в таблице "Список" я перехожу к строке:
		| 'Действует с' | 'Наименование'               | 'Ответственный' | 'Статус'    | 'Шаблон' |
		| '12.09.2018'  | 'Сливочный 45% Сыр основная' | 'Администратор' | 'Действует' | 'Сыр'    |
	И я нажимаю на кнопку 'Скопировать'
	Тогда открылось окно 'Настройки копирования:'
	И я нажимаю на кнопку 'Скопировать'
	Тогда открылось окно 'Ресурсные спецификации (создание)'
	И в поле 'Наименование' я ввожу текст 'Сливочный 45% Сыр дополнительная'
	И в таблице "Этапы" я перехожу к строке:
		| 'Этап'  |
		| 'Варка' |
	И в таблице "Материалы" я перехожу к строке:
		| 'Ед. изм.' | 'Количество' | 'Коэф. списания' | 'Номенклатура' | 'Основное' | 'Статья калькуляции'                    | 'Характеристика'    |
		| 'кг'       | '10 000,000' | '1,000'          | 'Смесь 45%'    | 'Да'       | 'Полуфабрикаты производимые в процессе' | '<не используются>' |
	И в таблице "Материалы" в поле 'Количество' я ввожу текст '9 700,000'
	И в таблице "Материалы" я перехожу к строке:
		| 'Ед. изм.' | 'Количество' | 'Коэф. списания' | 'Номенклатура'                  | 'Основное' | 'Статья калькуляции' | 'Характеристика'    |
		| 'шт'       | '0,500'      | '1,000'          | 'Краситель Бета-каротин FS 30%' | 'Нет'      | 'Закваска'           | '<не используются>' |
	И в таблице "Материалы" я нажимаю кнопку выбора у реквизита "Номенклатура"
	Тогда открылось окно 'Номенклатура'
	И в таблице "Список" я перехожу к строке:
		| 'Вид'                 | 'Ед.' | 'Наименование'       | 'Наименование для печати' |
		| 'Материалы с сериями' | 'шт'  | 'Ароматизатор 13456' | 'Ароматизатор 13456'      |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Ресурсные спецификации (создание) *'
	И в таблице "Материалы" в поле с именем 'МатериалыКоличество' я ввожу текст '1,000'
	И я жду доступности элемента "Действует с" в течение 10 секунд
	И в поле 'Действует с' я ввожу текст '12.02.2018'
	И Я заканчиваю создавать Ресурсную спецификацию в новой форме без назначения её основной